Class | Sequel::SQL::AliasedExpression
In: | lib/sequel/sql.rb
Parent: | Expression

Represents an aliasing of an expression to a given alias.

### Methods

new

### Attributes

aliaz | [R] | The alias to use for the expression, not `alias` since that is a keyword in ruby.
expression | [R] | The expression to alias

### Public Class methods

new(expression, aliaz)

Create an object with the given expression and alias.

[Source]

         # File lib/sequel/sql.rb, line 861
    861:       def initialize(expression, aliaz)
    862:         @expression, @aliaz = expression, aliaz
    863:       end

[Validate]